Skip to main content
PATCH
/
sessions
/
{session_id}
/
messages
/
{id}
Update message status
curl --request PATCH \
  --url https://whatsrb.com/api/v1/sessions/{session_id}/messages/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "sent",
  "whatsapp_message_id": "<string>",
  "error": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "direction": "outbound",
    "to": "<string>",
    "message_type": "<string>",
    "content": "<string>",
    "status": "queued",
    "whatsapp_message_id": "<string>",
    "sent_at": "2023-11-07T05:31:56Z",
    "delivered_at": "2023-11-07T05:31:56Z",
    "read_at": "2023-11-07T05:31:56Z",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key from the WhatsRB dashboard. Format: Bearer wrb_live_xxx

Path Parameters

session_id
string
required
id
string
required

Body

application/json
status
enum<string>
required
Available options:
sent,
delivered,
read,
failed
whatsapp_message_id
string | null
error
string | null

Response

OK

data
object